"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotAuthorizedError = void 0;
const error_base_class_1 = require("./errors-base-class/error-base-class");
class NotAuthorizedError extends error_base_class_1.CustomError {
    constructor() {
        // Calling the parent class constructor as this is a constructor of sub-class
        super("Not Authorised.");
        this.statusCode = 401;
        // Since we are extending a built-in class (Error) the following line of code has to be added.
        Object.setPrototypeOf(this, NotAuthorizedError.prototype);
    }
    serializeErrors() {
        return [{ message: "Not Authorised." }];
    }
}
exports.NotAuthorizedError = NotAuthorizedError;
