"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.currentUser = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const currentUser = (req, res, next) => {
    var _a;
    if (!((_a = req.cookies) === null || _a === void 0 ? void 0 : _a.jwt)) {
        // If there is no jwt, pass on to the next function, without setting currentUser object.
        return next();
    }
    // If there is a jwt present, verify it with JWT_KEY and extract payload from it.
    try {
        const payload = jsonwebtoken_1.default.verify(req.cookies.jwt, process.env.JWT_KEY);
        // If the jwt is successfully verified, create a currentUser object in response object,
        // and return the payload extracted from jwt.
        req.currentUser = payload;
    }
    catch (err) {
        // If the token validation fails, jwt.verify is going to throw error.
        // It can be ignored as we have nothing to do in this middleware about this particular error.
    }
    next();
};
exports.currentUser = currentUser;
